<html>
  <head>
    <title>Flights View</title>
    <body background ="https://png.pngtree.com/thumb_back/fw800/background/20190221/ourmid/pngtree-airport-girl-aircraft-bench-image_17013.jpg" >
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    
  </head>
  
  <body ng-app="myModule" ng-controller="myCtrl" >
      <style>body {background-color: #bcf4e4;} </style>
    <div class="container">
      <ul class="nav nav-tabs">
        <li class="active"><a href="#">List View</a></li>
        <li class="dropdown">
          <a class="dropdown-toggle" data-toggle="dropdown" href="#" >Matrix View
          <span class="caret"></span></a>
          <ul class="dropdown-menu" >
            <li><a href="#">Tap 1</a></li>
            
        <!-- <li><a href="#">Matrix View</a></li> -->
          <!-- <a class="nav-link" aria-expanded="true" href="#list" data-toggle="tab">List View</a> -->
          
        </li>
        
      </ul>
      
    </div>
 
    <div class="box-body">
      <table class="table table-hover" id="booking-table">
          <thead>
              <tr>
                  <th>     </th>
                  <th>Price  </th>
                  <th>  </th>
                  <th>Ariline</th>
                  <th>Take-off</th>
                  <th>Landing</th>
                  <th>Stop (Duration)</th>
              </tr>
          </thead>
      </table>
  </div><% search_result_flights.forEach( (s , index)=>{  %>
  <div class="col-md-12">
    <ul class="booking-list">
        
            <li>
                <div class="body">
                    <div class="booking-item">
                        <div class="row">
                            <div class="col-md-2">
                                <h2 class="text-primary">$<%= s.price %></h2>
                                <p>/person</p>
                                <p class="booking-item-flight-class">Class: Economy</p>
                            </div>
                            <div class="col-md-2">
                                <div class="booking-item-airline-logo">
                                    <p ><%= s.airline %></p>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <h5><%= s.fromAirport %>   <%= s.takeoffTime %></h5>
                            </div>
                            <div class="col-md-2">
                                <h5><%= s.toAirport %>   <%= s.landingTime %></h5>
                            </div>
                            <div class="col-md-2">
                                <% let time = s.travelHours.split('.') %> 
                                <h5><%= s.transitNumber %>   (  <%= time[0] + " h "+ time[1] + " m )" %></h5>
                                <button  style="margin-top:20px;margin-bottom:15px" type="button"class="btn btn-warning btn-lg btn3d" ng-click="clickdetail(<%= index %>)">
                                    Detail
                                </button>
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-md-8" ng-show="bt_click[<%= index %>]">
                        <div class="row">
                            <div class="col-md-8">
                                <!-- <p>Flight Details</p> -->
                                <h3 class="text-warning">OUTBOUND</h3>
                                <h5 class="list-title"><%= s.date %></h5>
                                <div class="row">
                                    <h2 class="col-md-6"><%= s.takeoffTime %></h2>
                                    <h4 class="col-md-6"><%= s.airportfrom %></h4>

                                </div>
                                <hr class="style1"> 
                                <div class="row">
                                    <h2 class="col-md-6"><%= s.landingTime %></h2>
                                    <h4 class="col-md-6"><%= s.airportto %></h4> 

                                </div>
                                <form id= "eventForm" method="POST"  action="infomation">
                                    <input type="hidden" name= "fight" value="<%=s.price %>">
                                    <center>
                                        <button class="btn btn-danger" onclick="submit()" >Select</button>

                                    </center>
                                </form>
                            </div>
                        </div>
                    </div>
                   

                </div>
            </li>
            
        </ul>
        <hr class="style1">
    </div>
    
<% }) %>

    <div class="container">
    <ul class="pagination">
      <li class="active"><a href="#">1</a></li>
      <li><a href="#">2</a></li>
      <li><a href="#">3</a></li>
      <li><a href="#">4</a></li>
      <li><a href="#">5</a></li>
      <br><br><a href="#">Results per page <span class="badge">10</span></a>
    </ul>
  </div>
  
    <!-- <script>
      // show number of flightsd
      document.getElementById("flight-count").innerHTML = flights.length
      document.getElementById("all-flight-count").innerHTML = flights.length

      // render flights
      function jsonToTable(json) {
        let headerRow = ''
        let keys = Object.keys(json[0])
        let columns = keys.map(column => {
          headerRow += '<th>' + column.charAt(0).toUpperCase() + column.slice(1) + '</th>'
        })
        
        let bodyRows = ''
        
        json.map(row => {
          bodyRows += '<tr>'

          keys.map(key => {
            bodyRows += '<td>' + row[key] + '</td>'
          })
          
          bodyRows += '</tr>'
        })

        return '<table class="' +
                "table table-striped" +
                '"><thead><tr>' +
                headerRow +
                '</tr></thead><tbody>' +
                bodyRows +
                '</tbody></table>'
      }

      document.getElementById("flight-table").innerHTML = jsonToTable(flights)
    </script> -->
  </body>
</html>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>

<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-route.js"></script>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>  
<script>
var app = angular.module('myModule', ["ngRoute"]);


app.controller('myCtrl', ['$scope', '$timeout', function ($scope,$timeout) {
    $scope.bt_click= []
    // $scope.bt_click = false;
    $scope.clickdetail = function (index ) {
    console.log("ffff");
    
        if( $scope.bt_click[index] == true){
            $scope.bt_click[index] = false   
 
        }else{
             $scope.bt_click[index] = true   
        }
    }
}]);

</script>